Open CASCADE Technology 7.8.2.dev
BRepAlgo_FaceRestrictor Class Reference

Builds all the faces limited with a set of non jointing and planars wires. if <ControlOrientation> is false The Wires must have correct orientations. Sinon orientation des wires de telle sorte que les faces ne soient pas infinies et qu'elles soient disjointes. More...

#include <BRepAlgo_FaceRestrictor.hxx>

Public Member Functions

 BRepAlgo_FaceRestrictor ()
 
void Init (const TopoDS_Face &F, const Standard_Boolean Proj=Standard_False, const Standard_Boolean ControlOrientation=Standard_False)
 the surface of <F> will be the surface of each new faces built. <Proj> is used to update pcurves on edges if necessary. See Add().
 
void Add (TopoDS_Wire &W)
 Add the wire <W> to the set of wires.
 
void Clear ()
 Removes all the Wires.
 
void Perform ()
 Evaluate all the faces limited by the set of Wires.
 
Standard_Boolean IsDone () const
 
Standard_Boolean More () const
 
void Next ()
 
TopoDS_Face Current () const
 

Detailed Description

Builds all the faces limited with a set of non jointing and planars wires. if <ControlOrientation> is false The Wires must have correct orientations. Sinon orientation des wires de telle sorte que les faces ne soient pas infinies et qu'elles soient disjointes.

Constructor & Destructor Documentation

◆ BRepAlgo_FaceRestrictor()

BRepAlgo_FaceRestrictor::BRepAlgo_FaceRestrictor ( )

Member Function Documentation

◆ Add()

void BRepAlgo_FaceRestrictor::Add ( TopoDS_Wire & W)

Add the wire <W> to the set of wires.

Warning: The Wires must be closed.

The edges of <W> can be modified if they don't have pcurves on the surface of <F>. In this case if <Proj> is false the first pcurve of the edge is positioned on . if <Proj> is True, the Pcurve On is the projection of the curve 3d on <F>.

◆ Clear()

void BRepAlgo_FaceRestrictor::Clear ( )

Removes all the Wires.

◆ Current()

TopoDS_Face BRepAlgo_FaceRestrictor::Current ( ) const

◆ Init()

void BRepAlgo_FaceRestrictor::Init ( const TopoDS_Face & F,
const Standard_Boolean Proj = Standard_False,
const Standard_Boolean ControlOrientation = Standard_False )

the surface of <F> will be the surface of each new faces built. <Proj> is used to update pcurves on edges if necessary. See Add().

◆ IsDone()

Standard_Boolean BRepAlgo_FaceRestrictor::IsDone ( ) const

◆ More()

Standard_Boolean BRepAlgo_FaceRestrictor::More ( ) const

◆ Next()

void BRepAlgo_FaceRestrictor::Next ( )

◆ Perform()

void BRepAlgo_FaceRestrictor::Perform ( )

Evaluate all the faces limited by the set of Wires.


The documentation for this class was generated from the following file: